Introduzione
Un Sketcher SketchObject, o formalmente un Sketcher::SketchObject
, è l'elemento base per creare oggetti 2D con l'ambiente Sketcher.
Sketcher::SketchObject
deriva da Part Part2DObject, il che significa che è un oggetto Part Feature specializzato per la geometria 2D. Come Part2DObject, anche SketchObject può essere collegato a piani e facce. Inoltre, SketchObject è in grado di gestire i vincoli geometrici delle linee e delle curve disegnate al suo interno.
Diagramma semplificato delle relazioni tra gli oggetti principali in FreeCAD. La classe Sketcher::SketchObject
è specializzata per le forme 2D e inoltre può gestire i vincoli.
Utilizzo
See Sketcher NewSketch.
Proprietà
Vedere Proprietà per tutti i tipi di proprietà che possono avere gli oggetti con script.
Un Sketcher SketchObject (classe Sketcher::SketchObject
) deriva da un Part Part2DObject (Part::Part2DObject
), quindi condivide tutte le proprietà di quest'ultimo.
Oltre alle proprietà descritte in Part Part2DObject, il corpo di PartDesign ha le seguenti proprietà nell'editor delle proprietà.
Dati
Sketch
- Dati (Hidden)Geometry (
GeometryList
): a list of Part geometries that exist inside the sketch. - DatiConstraints: named constraints, if they exist; otherwise it is an empty list
[]
. - DatiExternal Geometry (
LinkSubList
): a list of Part geometries outside this Sketch that are used for reference. - Dati (Hidden)Fully Constrained (
Bool
): (read-only) iftrue
the sketch is fully constrained.
Vista
Auto Constraints
- VistaAutoconstraints: se è
true
prova ad impostare i vincoli quando viene disegnata la geometria.
- VistaAutoconstraints (
Bool
): iftrue
constraints are automatically added when geometry is drawn. - VistaAvoid Redundant (
Bool
): iftrue
redundant auto-constraints are avoided.
Grid
- VistaGrid Auto (
Bool
): iftrue
the grid is resized based on the boundingbox of the geometry of the sketch. - VistaGrid Size (
Length
): the size of the spacing of the local grid lines in the 3D view; it defaults to10 mm
. - VistaShow Grid (
Bool
): iftrue
a grid local to the object will be displayed in the 3D view. This grid is independent of the Draft Grid.
Visibility automation
Visibility automation
- VistaEditing Workbench: normalmente
SketcherWorkbench
, è il nome dell'ambiente da attivare durante la modifica dello schizzo. - VistaHide Dependent: se è
true
tutti gli oggetti che dipendono dallo schizzo vengono nascosti quando si apre lo schizzo. - VistaRestore Camera: se è
true
la posizione della telecamera viene salvata prima di aprire lo schizzo e viene ripristinata quando lo si chiude. - VistaShow Links: se è
true
tutti gli oggetti utilizzati nei collegamenti alla geometria esterna vengono visualizzati quando si apre lo schizzo. - VistaShow Support: se è
true
tutti gli oggetti a cui è associato questo schizzo vengono mostrati quando si apre lo schizzo.
Script
Vedere anche: Script di base per FreeCAD, e script di oggetti.
Vedere Part Feature per le informazioni generali.
Un oggetto Sketcher SketchObject viene creato con il metodo addObject()
del documento.
import FreeCAD as App
doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Sketch")
obj.Label = "Custom label"
For Python subclassing you should create the Sketcher::SketchObjectPython
object.
import FreeCAD as App
doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", "CustomSketch")
obj.Label = "Custom label"
Questa pagina è recuperata da https://wiki.freecad.org/Sketcher_SketchObject